uge_submit_workers(1)

NAME

uge_submit_workers - submit work_queue_worker to a Univa Grid Engine (UGE) cluster.

SYNOPSIS

uge_submit_workers [options] <servername> <port> <num-workers>

when auto mode is not enabled for the worker, or

uge_submit_workers [options] <num-workers>

when auto mode is enabled for the worker.

DESCRIPTION

uge_submit_workers schedules the execution of work_queue_worker(1) on the Univa Grid Engine (UGE) through its job submission interface, qsub. The number of work_queue_worker scheduled and run is given by the num-workers argument.

The servername and port arguments specify the hostname and port number of the manager for the work_queue_worker to connect. These two arguments become optional when the auto mode option is specified for work_queue_worker.

OPTIONS

-M,--manager-name=<name>
    Name of the preferred manager for worker. (auto mode enabled)

-C,--catalog=<catalog>
    Set catalog server for work_queue_worker to <catalog>. <catalog> format: HOSTNAME:PORT.

-C,--catalog=<catalog>
    Set catalog server for work_queue_worker to <catalog>. <catalog> format: HOSTNAME:PORT.

-t,--timeout=<seconds>
    Abort work_queue_worker after this amount of idle time (default=900s).

-d,--debug=<subsystem>
    Enable debugging on worker for this subsystem (try -d all to start).

-w,--tcp-window-size=<size>
    Set TCP window size

-i,--min-backoff=<time>
    Set initial value for backoff interval when worker fails to connect to a manager. (default=1s)

-b,--max-backoff=<time>
    Set maxmimum value for backoff interval when worker fails to connect to a manager. (default=60s)

-z,--disk-threshold=<size>
    Set available disk space threshold (in MB). When exceeded worker will clean up and reconnect. (default=100MB)

-A,--arch=<arch>
    Set architecture string for the worker to report to manager instead of the value in uname.

-O,--os=<os>
    Set operating system string for the worker to report to manager instead of the value in uname.

-s,--workdir=<path>
    Set the location for creating the working directory of the worker.

-P,----password=<file>
    Password file to authenticate workers to manager.

--cores=<cores>
    Set the number of cores each worker should use (0=auto). (default=1)

--memory=<size>
    Manually set the amonut of memory (in MB) reported by this worker.

--disk=<size>
    Manually set the amount of disk (in MB) reported by this worker.

--scratch-dir=<path>
    Set the scratch directory location created on the local machine. (default=${USER}-workers)

-j  Use job array to submit workers.

--p <parameters>
    UGE qsub parameters.

-h,--help
    Show help message.

EXIT STATUS

On success, returns zero. On failure, returns non-zero.

EXAMPLES

Submit 10 worker instances to run on UGE and connect to a specific manager:

    uge_submit_workers manager.somewhere.edu 9123 10

Submit 10 work_queue_worker instances to run on UGE in auto mode with their preferred project name set to Project_A and abort timeout set to 3600 seconds:

    uge_submit_workers -a -t 3600 -M Project_A 10

COPYRIGHT

The Cooperative Computing Tools are Copyright (C) 2022 The University of Notre Dame. This software is distributed under the GNU General Public License. See the file COPYING for details.

SEE ALSO

•   Cooperative Computing Tools Documentation

•   Work Queue User Manual

•   work_queue_worker(1) work_queue_status(1) work_queue_factory(1) condor_submit_workers(1) uge_submit_workers(1) torque_submit_workers(1)